rte_crypto_sgl(3)

NAME
rte_crypto_sgl

SYNOPSIS

#include <rte_crypto_sym.h>

  Data Fields

struct rte_crypto_vec * vec
uint32_t num

Detailed Description

Crypto scatter-gather list descriptor. Consists of a pointer to an array of Crypto IO vectors with its size.

Definition at line 49 of file rte_crypto_sym.h.

Field Documentation

  struct rte_crypto_vec* vec
start of an array of vectors

Definition at line 51 of file rte_crypto_sym.h.

  uint32_t num
size of an array of vectors

Definition at line 53 of file rte_crypto_sym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.